import { createApp } from 'vue';
import './tailwind.css';
import 'toastify-js/src/toastify.css';
import 'vue-toastification/dist/index.css';
import App from './App.vue';
import { routes } from './routes.js';
import { createRouter, createWebHistory } from 'vue-router';
import { i18n } from './language';
import Toast from 'vue-toastification';

const app = createApp(App);

const router = createRouter({
	history: createWebHistory(),
	routes
});

app.use(router);
app.use(i18n);
app.use(Toast);
app.mount('#app');
